<?php

use Illuminate\Database\Capsule\Manager as Capsule;

function hook_getLatestFiveKBPerCategory($vars){

   $categoryID = intval($_GET['catid']);

   # Latest Articles For Specific Category
   if ($categoryID!=0){
       $getLatestArticles = Capsule::table('tblknowledgebaselinks')
                                           ->join('tblknowledgebase', 'tblknowledgebaselinks.articleid', '=', 'tblknowledgebase.id')
                                           ->where('tblknowledgebaselinks.categoryid', '=', $categoryID)
                                           ->orderBy('id', 'desc')
                                           ->take(5)
                                           ->get();
   }
   else {
       $getLatestArticles = Capsule::table('tblknowledgebase')
                                           ->orderBy('id', 'desc')
                                           ->take(5)
                                           ->get();
   }

   $encodedata = json_encode($getLatestArticles);
   $decodedata = json_decode($encodedata, true);

   return array("latestkb" => $decodedata);

}
add_hook("ClientAreaPage", 1, "hook_getLatestFiveKBPerCategory");